aboutsummaryrefslogtreecommitdiff
path: root/test/java/install_additional_java.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-24 00:23:21 +0300
committerGitHub <noreply@github.com>2022-08-24 00:23:21 +0300
commitf82307ad60514d1e912a9aa2b64204721fe955eb (patch)
treebc1799743ef7620c3e460d54f77c1fac3003fd4c /test/java/install_additional_java.sh
parent84f4996643b84c6f3dcd5c3edc72ae176dceaf65 (diff)
test updates to adopt https://github.com/devcontainers/cli/pull/124 (#114)
* test updates to adopt https://github.com/devcontainers/cli/pull/124 * remove accidental tgz check in * typo in option * typo in python install script on dotnet6/jammy branch * no scenarios * code review and test name * Delete install_os_provided_python.sh
Diffstat (limited to 'test/java/install_additional_java.sh')
-rw-r--r--test/java/install_additional_java.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/java/install_additional_java.sh b/test/java/install_additional_java.sh
new file mode 100644
index 0000000..a796fee
--- /dev/null
+++ b/test/java/install_additional_java.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "java version 17 installed as default" java --version | grep 17
+check "java version 11 installed" ls /usr/local/sdkman/candidates/java | grep 11
+check "java version 8 installed" ls /usr/local/sdkman/candidates/java | grep 8
+
+# Report result
+reportResults